Skip to main content
PUT
Update Apple Pay certificate
This endpoint requires the apple-pay-certificates.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

apple_pay_certificate_id
string<uuid>
required

The unique ID for an Apple Pay certificate record.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Body

multipart/form-data
file
file

The payment processing certificate received from Apple. This file should be associated with the Certificate Signing Request of this record, have a valid expiration date, and be DER encoded.

Response

Returns the Apple Pay certificate record that was updated.

type
enum<string>

The type of this resource. Is always anti-fraud-service.

Available options:
anti-fraud-service
Example:

"anti-fraud-service"

id
string<uuid>

The unique Gr4vy ID for this anti-fraud service.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

anti_fraud_service_definition_id
enum<string>

The name of the Anti-Fraud service provider. During update request, this value is used for validation only but the underlying service can not be changed for an existing service.

Available options:
cybersource-anti-fraud,
forter-anti-fraud,
sift-anti-fraud
Example:

"sift-anti-fraud"

display_name
string | null

A unique name for this anti-fraud service which is used in the Gr4vy admin panel to give a anti-fraud service a human readable name.

Required string length: 1 - 200
Example:

"Sift Anti-Fraud Service."

active
boolean
default:true

Defines if this service is currently active or not.

Example:

true

silent
boolean
default:false

Defines if this service is currently running in silent mode. In silent mode, a service's decisions will be created but ignored when processing a transaction, allowing for warm-up and comparison of new services against the active service.

Example:

false

reviews_enabled
boolean
default:false

Defines if this service needs to handle the review status with a proper review workflow. If not, the review status will be treated as any other one.

Example:

false

fields
object[]

A list of fields, each containing a key-value pair for anti-fraud service decision mapping e.g. for Sift approve_decision will be in the response.

created_at
string<date-time>

The date and time when this anti-fraud service was created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>

The date and time when this anti-fraud service was last updated in our system.

Example:

"2013-07-16T19:23:00.000+00:00"